﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Follow-up Forms Report
            </h1>
        </div>
        <div class="actions">
            @*<a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Print">
                    <i style="margin-top: 11px;" class="icon-printer fg-black"></i>
                </a>*@
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Share Report" ng-click="shareReport()">
                <i style="margin-top: 11px;" class="fg-black icon-share-2"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Email Participants" ng-click="MakeCampaign()">
                <i style="margin-top: 11px;" class="fg-black jbi-email"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div ng-include="'/Dashboard/CustomReport/BaseFilters'"></div>
    <div class="clearfix"></div>
    <div id="followup-formFilterZone">
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.Filters.FollowupFilter" name="formFilter" value="Uncompleted" type="radio" />
                    <span class="check"></span>
                    Show only students who have at least one uncompleted forms
                </label>
            </div>
            <br />
            <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.Filters.FollowupFilter" name="formFilter" value="Completed" type="radio" />
                    <span class="check"></span>
                    Show only students who have completed all forms
                </label>
            </div>
            <br />
            <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.Filters.FollowupFilter" name="formFilter" value="None" type="radio" />
                    <span class="check"></span>
                    Show all student
                </label>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <input class="default button place-right" type="submit" value="Filter data" ng-click="filterData()">
    <div class="clearfix"></div>
    <br />
    <input class="default button place-right" type="submit" value="Clear filter(s)" ng-click="clearFilters()">
    <div class="clearfix"></div>

    <br />
    @*<label for="searchCampaignName">Search by participant email or full name</label>
        <div class="input-control text" data-role="input-control">
            <input ng-model="searchTerm" id="searchInstallmentName" type="text" placeholder="Enter email or full name here" ng-change="">
            <button class="btn-search" tabindex="-1" type="button" ng-click="installmentSearch()"></button>
        </div>*@
    <label for="searchFollowupName">Search by participant email or first name or last name</label>
    <div class="input-control text" data-role="input-control">
        <input ng-model="searchTerm" id="searchFollowupName" type="text" placeholder="" ng-change="">
        <button class="btn-search" tabindex="-1" type="button" ng-click="filterData()"></button>
    </div>
    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="followupReportGrid" options="followupReportGridOptions" class="resizable scroll"></kendo-grid>
            </div>
        </div>
    </div>

    <div class="clearfix"></div>
    </div>
